Вы не можете установить OS X Yosemite, потому что уже ее используете

36

В четверг на прошлой неделе, сразу после презентации новых Mac и iPad, Apple выпустила финальную версию OS X Yosemite, доступную всем и каждому. Если вы еще не обновились на нее, то будьте готовы к возможному отказу. Сразу после нажатия кнопки загрузки ОС в Mac App Store у некоторых пользователей может появиться сообщение, согласно которому они не могут установить OS X Yosemite, потому что уже ее используют.

OS X Yosemite


Это огорчающее окно не появится у вас, если вы обновляетесь с OS X Mavericks или более ранней версии ОС. Проблема коснулась участников программы OS X Beta Seed и разработчиков. Но если разработчики наверняка в силах справиться с этим окном, то у пользователей публичной бета-версии, которая была доступна буквально всем желающим, оно может вызвать смущение. Почему так происходит и что в таком случае делать?

Все дело в том, что незадолго до выхода бета-тестеры получили версию OS X 10.10 GM с версией сборки 14A388b. Релизная версия имеет номер 14A389, но при этом эти две версии практически идентичны. Именно по этой причине OS X 10.10 GM Candidate 3.0 не видит в новой сборке какого-либо обновления и не предлагает ее установить, а напротив, отказывает в обновлении.

Из этой ситуации есть два выхода. Вы можете вручную с нуля загрузить релизную версию из Mac App Store и заново полностью пройти процесс установки. В таком случае коллеги из BGR и мы настоятельно советуем сохранить резервную копию. Я попробовал обновиться именно таким образом, и установка прошла вполне удачно, без потери данных.

Второй, и, наверное, более предпочтительный вариант, который я мог бы посоветовать всем пользователям последней сборки Golden Master, это просто подождать следующего минорного обновления с исправлением каких-либо недочетов и незначительными улучшениями. В таком случае они смогут обновиться из Mac App Store вместе со всеми остальными.

Эрнест Василевский

 
Авторизуйтесь Чтобы оставить комментарий